Bug 12526 - vfs_fruit should only veto AppleDouble files if "fruit:resource" is set to "file"
vfs_fruit should only veto AppleDouble files if "fruit:resource" is set to "f...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 12427
Blocks: 12604
  Show dependency treegraph
 
Reported: 2017-01-18 10:49 UTC by Ralph Böhme
Modified: 2017-03-13 08:14 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.4, 4.5 and 4.6 cherry-picked from master (2.67 KB, patch)
2017-03-03 11:18 UTC, Ralph Böhme
slow: review? (metze)
uri: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-01-18 10:49:58 UTC
"fruit:resource = file" is the only mode where vfs_fruit will itself create AppleDouble files.

Patch to follow...
Comment 1 Partha 2017-01-20 17:41:53 UTC
Ralph,
Recently at customer place we noticed the robocopying of few AppleDouble files caused copy failure. Also drag and drop of some date set with AppleDoble file will prompt copy error to user to skip copying these files as NT_STATUS_OBJECT_NOT_FOUND. 

Vetoing AppleDouble files from fruit module is annoying certain file COPY usecases. 

we have the default vfs_fruit settings.

"fruit:resource = file"
Comment 2 Ralph Böhme 2017-03-03 11:18:13 UTC
Created attachment 13011 [details]
Patch for 4.4, 4.5 and 4.6 cherry-picked from master
Comment 3 Uri Simchoni 2017-03-03 20:42:04 UTC
Assigning to Karolin for inclusion in 4.4.next, 4.5.next, 4.6.next.
Comment 4 Karolin Seeger 2017-03-06 07:31:17 UTC
(In reply to Uri Simchoni from comment #3)
Pushed to autobuild-v4-{6,5,4}-test.
Comment 5 Karolin Seeger 2017-03-13 08:14:15 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to all branches.
Closing out bug report.

Thanks!